dnl @synopsis AC_CXX_CXXFLAGS_STD_LANG(CXX-FLAGS)
dnl
dnl Append to variable CXX-FLAGS the set of compile-time flags that
dnl should be passed to the C++ compiler in order to enable use of
dnl C++ features as defined in the ANSI C++ standard (eg. use of
dnl standard iostream classes in the `std' namespace, etc.).  Note that
dnl if you use GNU Libtool you may need to prefix each of those flags
dnl with `-Xcompiler' so that Libtool doesn't discard them (see
dnl Libtool's manual and `AC_LIBTOOLIZE_CFLAGS').
dnl
dnl @version 20040907
dnl @author  Ludovic Courts <ludo@chbouib.org>
AC_DEFUN([AC_CXX_CXXFLAGS_STD_LANG],
  [AC_REQUIRE([AC_CXX_COMPILER_VENDOR])
   case "$ac_cv_cxx_compiler_vendor" in
     sgi)    $1="$$1 -LANG:std -exceptions";;
     hp)     $1="$$1 -AA";;
   esac])
