dnl @synopsis AC_PROG_CRONTAB
dnl
dnl Check for the program crontab,
dnl if exists let script continue,
dnl else pops an error message
dnl
dnl Besides checking existence, this macro also set these environment variables upon completion:
dnl
dnl     CRONTAB = which crontab
dnl
dnl @version $Id: ac_prog_crontab.m4,v 1.1 2002/09/12 21:49:19 guidod Exp $
dnl @author Gleen Salmon <gleensalmon@yahoo.com>
dnl
AC_DEFUN([AC_PROG_CRONTAB],[
AC_REQUIRE([AC_EXEEXT])dnl
AC_PATH_PROG(CRONTAB, crontab$EXEEXT, nocommand)
if test "$CRONTAB" = nocommand; then
        AC_MSG_ERROR([crontab (needed for scheduled job) not found in $PATH])
fi;dnl
])
