dnl @synopsis AC_PROG_MYSQLD
dnl
dnl Check for the program 'mysqld'
dnl let script continue if exists & works
dnl pops up error message if not.
dnl
dnl Besides checking existence, this macro also set these environment variables upon completion:
dnl 
dnl 	MYSQLD = which mysqld
dnl 
dnl @version $Id: ac_prog_mysqld.m4,v 1.2 2002/12/12 23:17:13 guidod Exp $
dnl @author Gleen Salmon <gleensalmon@yahoo.com>
dnl
AC_DEFUN([AC_PROG_MYSQLD],[
AC_REQUIRE([AC_EXEEXT])dnl
AC_PATH_PROG(MYSQLD, mysqld$EXEEXT, nocommand)
if test "$MYSQLD" = nocommand; then
	AC_MSG_ERROR([mysqld not found in $PATH])
fi;dnl
])
