dnl @synopsis AC_LIBTOOLIZE_CFLAGS(COMPILER-FLAGS-VAR)
dnl
dnl Change the contents of variable COMPILER-FLAGS-VAR so that they are Libtool
dnl friendly, ie. prefix each of them with `-Xcompiler' so that Libtool doesn't
dnl remove them.
dnl
dnl @version 20040907
dnl @author  Ludovic Courts <ludo@chbouib.org>
AC_DEFUN([AC_LIBTOOLIZE_CFLAGS],
  [ac_libtoolize_ldflags_temp=""
   for i in $$1
   do
     ac_libtoolize_ldflags_temp="$ac_libtoolize_ldflags_temp -Xcompiler $i"
   done
   $1="$ac_libtoolize_ldflags_temp"])dnl
