Name:       ac-archive
Version:    0.5.63
Release:    1sfnet
Distribution: Sourceforge
Group:      Development/Libraries
Copyright:  GPL License / new BSD License / other
Requires:   autoconf
Conflicts:  autoconf-archive
Packager:   Guido Draheim
URL:        http://ac-archive.sourceforge.net
Summary:    autoconf extensions archive
Source0:    http://prdownloads.sf.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:  /tmp/%{name}-%{version}-root

%package acinclude
Summary:    autoconf extension archive for acinclude
Group:      Development/Libraries
Provides:   ac-archive
Obsoletes:  ac-archive-aclocal
Requires:   autoconf

%package doc
Summary:    autoconf extension archive for acinclude
Group:      Development/Libraries
Provides:   ac-archive

%package doc-sfnet
Summary:    autoconf extension archive - sf.net htdocs
Group:      Documentation
BuildRequires: perl
BuildRequires: aspell-en

%description
The SF Autoconf Macro Archive provides documented and tested
macros that are useful to many software writers using the autoconf
tool, but too specific to be included into autoconf itself.

%description acinclude
The SF Autoconf Macro Archive provides documented and tested
macros that are useful to many software writers using the autoconf
tool, but too specific to be included into autoconf itself.

autoconf extensions that go into /usr/share/aclocal/ directory
packed into their subdirectories just as seen in the ac-archive
listing. You can use the `acinclude` perl-script to search the
subdirectories and create an acinclude.m4 from them. The `acinclude`
perl-script is a direct derivative of `aclocal` and should therefore
behave similar - it just searches *subdirectories of each -I dir 
and it creates acinclude.m4 instead of aclocal.m4

%description doc
The SF Autoconf Macro Archive provides documented and tested
macros that are useful to many software writers using the autoconf
tool, but too specific to be included into autoconf itself.
The package installs the macros in parallel to their extracted
documentation in $prefix/share/doc/ac-archive/*.

%description doc-sfnet
The SF.NET Autoconf Macro Archive Webserver documents

%prep
#'

%setup
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%_prefix --mandir=%_mandir

%build
make all
# make doc
# make test

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
make install-acinclude DESTDIR=%buildroot
make install-sfnet     DESTDIR=%buildroot

%clean
rm -rf %buildroot
rm -rf `basename %SOURCE0 .tar.bz2`

# %post -p /sbin/ldconfig

# %postun -p /sbin/ldconfig


%files acinclude
%defattr(-,root,root)
     %_datadir/aclocal/*/README
     %_datadir/aclocal/*/*.m4
     %_bindir/acinclude
     %_mandir/*

%files doc
%defattr(-,root,root)
%docdir %{_datadir}/doc/%{name}
        %{_datadir}/doc/%{name}/*
%docdir %{_datadir}/omf/%{name}
        %{_datadir}/omf/%{name}/*

%post doc
test ! -f /usr/bin/scrollkeeper-update || /usr/bin/scrollkeeper-update
%postun doc
test ! -f /usr/bin/scrollkeeper-update || /usr/bin/scrollkeeper-update

%files doc-sfnet
%defattr(-,root,root)
     %{_datadir}/groups/*


