dnl @synopsis AC_CXX_LDFLAGS_STD_LANG(LD-FLAGS)
dnl
dnl Append to LD-FLAGS the set of link-time flags that should be passed
dnl to the C++ compiler in order to enable use of C++ features as defined
dnl in the ANSI C++ standard (eg. use of standard iostream classes in the
dnl `std' namespace, etc.).  Note that if you use GNU Libtool you may
dnl need to prefix each of those switches with `-Xlinker' so that
dnl Libtool doesn't discard them (see Libtool's manual and
dnl `AC_LIBTOOLIZE_LDFLAGS').
dnl
dnl @version 20040907
dnl @author  Ludovic Courts <ludo@chbouib.org>
AC_DEFUN([AC_CXX_LDFLAGS_STD_LANG],
  [AC_REQUIRE([AC_CXX_COMPILER_VENDOR])
   case "$ac_cv_cxx_compiler_vendor" in
     sgi)    $1="$$1 -LANG:std -exceptions";;
     hp)     $1="$$1 -AA";;
   esac])
